.drawer {
    position: relative;
    height: 100%;
    width: var(--drawer-w);
    box-sizing: border-box;
    padding: 24px 8px;
    background-color: var(--main);
    transition: 0.6s;
}

.drawer.open {
    width: var(--drawer-open-w);
    padding: 24px;
}

.drawer .toggle {
    position: absolute;
    bottom: 24px;
    right: -14px;
    height: 28px;
    width: 28px;
    box-sizing: border-box;
    padding: 6px;
    border: 1px solid var(--main-softer);
    border-radius: 8px;
    background-color: var(--main-soft);
    cursor: pointer;
    transition: 0.4s;
    z-index: 2;
}

.drawer .toggle:hover {
    border: 1px solid var(--theme);
}

.drawer .toggle > img {
    height: 100%;
    width: 100%;
    transition: 0.6s;
}

.drawer.open .toggle > img {
    transform: rotate(180deg);
}

.drawer > .searchbox {
    height: 40px;
    width: 100%;
    box-sizing: border-box;
    padding: 0 12px;
    border: 1px solid var(--main-softer);
    border-radius: 6px;
    background-color: var(--main-soft);
    cursor: pointer;
}

.drawer.open > .searchbox {
    height: 40px;
    width: 100%;
    box-sizing: border-box;
    padding: 0 12px;
    border: 1px solid var(--main-softer);
    border-radius: 6px;
    background-color: var(--main-soft);
    cursor: text;
}

.drawer.open > .searchbox .img-container {
    height: 44px;
    width: 40px;
    box-sizing: border-box;
    padding: 14px 12px 14px 0;
    transition: 0.6s;
    cursor: text;
}

.drawer > .searchbox .img-container {
    height: 44px;
    width: 40px;
    box-sizing: border-box;
    padding: 14px 2px;
    transition: 0.6s;
    cursor: pointer;
}

.drawer > .searchbox .img-container img {
    height: 100%;
    width: auto;
}

.drawer > .searchbox input {
    display: none;
    border: none;
    background-color: transparent;
    color: var(--text-color-inactive);
}

.drawer > .searchbox input::placeholder {
    color: var(--text-color-inactive);
    font-family: Inter;
    font-size: 1em;
    font-weight: 500;
}

.drawer.open > .searchbox input {
    display: inline-block;
}

.drawer > .menu {
    padding: 32px 0;
    margin: 0;
    list-style-type: none;
}

.drawer > .menu > .entry {
    height: 48px;
    width: 100%;
    box-sizing: border-box;
    padding: 0 12px;
    border-radius: 6px;
    margin: 8px 0;
    transition: 0.4s;
    cursor: pointer;
}

.drawer > .menu > .entry:hover {
    background-color: var(--main-soft);
}

.drawer > .menu > .entry.selected {
    border-left: 3px solid var(--theme);
    background-color: var(--main-soft);
}

.drawer.open > .menu > .entry div {
    display: none;
    height: 0px;
    width: 0px;
    transition: 0.6s;
}

.drawer > .menu > .entry div {
    display: flex;
    height: 100%;
    width: 18px;
}

.drawer.open > .menu > .entry label {
    display: block;
    color: var(--text-color-inactive);
    font-family: Inter;
    font-size: 1.05em;
    font-weight: 400;
    transition: 0.4s;
    cursor: pointer;
}

.drawer > .menu > .entry label {
    display: none;
}

.drawer > .menu > .entry.selected label {
    color: var(--text-color);
    font-weight: 500;
}

.drawer > .settings {
    position: absolute;
    bottom: 16px;
    padding: 32px 0;
    margin: 0;
    list-style-type: none;
}

.drawer > .settings > .entry {
    height: 48px;
    width: 100%;
    box-sizing: border-box;
    padding: 0 12px;
    border-radius: 6px;
    margin: 8px 0;
    transition: 0.4s;
    cursor: pointer;
}

.drawer > .settings > .entry:hover {
    background-color: var(--main-soft);
}

.drawer.open > .settings > .entry .img-container {
    height: 100%;
    width: 28px;
    box-sizing: border-box;
    padding: 0 8px 0 0;
    margin: 0;
    cursor: pointer;
}

.drawer > .settings > .entry .img-container {
    height: 100%;
    width: 20px;
    padding: 0;
    margin-left: 4px;
}

.drawer > .settings > .entry .img-container > img{
    height: auto;
    width: 100%;
}

.drawer.open > .settings > .entry label {
    display: inline-block;
    color: var(--text-color-inactive);
    font-family: Inter;
    font-size: 1.05em;
    font-weight: 400;
    transition: 0.4s;
    cursor: pointer;
}

.drawer > .settings > .entry label {
    display: none;
}

.drawer > .settings .initials-container {
    height: 32px;
    width: 32px;
    box-sizing: border-box;
    padding: 1px;
    border-radius: 50%;
    background-color: var(--theme);
    overflow: hidden;
    transition: 0.4s;
    cursor: pointer;
}

.drawer > .settings .initials-container #initials {
    color: var(--dark-contrast);
    font-family: Inter;
    font-size: 13px;
    font-weight: 500;
    cursor: pointer;
}

.drawer > .line {
    height: 0px;
    width: 100%;
    box-sizing: border-box;
    border: 1px solid var(--main-softer);
}

.drawer #user_container {
    width: 0%;
    margin-left: 12px;
    overflow: hidden;
    transition: 0.4s;
    cursor: pointer;
}

.drawer.open #user_container {
    width: calc(100% - 44px);
}

.drawer #user_container label {
    color: var(--text-color-inactive);
    font-family: Inter;
    font-size: 12px;
    font-weight: 500;
    cursor: pointer;
}

.drawer #user_container #user {
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 500;
    cursor: pointer;
}

.drawer #user_menu {
    width: 0%;
    box-sizing: border-box;
    padding: 0px;
    margin: 0;
    border-radius: 4px;
    background-color: var(--alert);
    color: var(--text-color);
    font-family: Inter;
    font-size: 11px;
    line-height: 14px;
    font-weight: 500;
    text-align: center;
    overflow: hidden;
    transition: 0.4s;
    cursor: pointer;
}

.drawer > .settings > .entry.selected #user_menu {
    width: 40px;
    padding: 6px;
    margin-left: 12px;
}

.drawer > .settings > .entry.selected #user_menu:hover {
    background-color: var(--alert-hard);
}

.drawer > .settings > .entry.selected .initials-container {
    width: 0px;
    padding: 0px;
}